
Name:           mate-menu
Version:        19.04.0
Release:        %mkrel 5
Summary:        Advanced Menu for the MATE Desktop
Group:          Graphical desktop/MATE
License:        GPLv2+ and MIT
Url:            https://github.com/ubuntu-mate/%{name}
Source0:        %{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-setuptools
BuildRequires:  desktop-file-utils

Requires:       mate-menus
Requires:       mate-window-manager
Requires:       python3-configobj
Requires:       python3-gobject3
Requires:       python3-pyxdg
Requires:       python3-unidecode
Requires:       python3-xlib
Requires:       mate-panel
Requires:       gksu
Requires:       python3-setproctitle


%description
An advanced menu for MATE. Supports filtering, favorites,
auto-session, and many other features.

This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.


%prep
%setup -q
%apply_patches

# xdg-su isn't available in pclos
sed -i 's/xdg-su/gksu/g' mate_menu/execute.py

#some python fixes
sed -i 's/#!\/usr\/bin\/env python3/#!\/usr\/bin\/python3/g' lib/%{name}.py
sed -i 's/#!\/usr\/bin\/env python3/#!\/usr\/bin\/python3/g' lib/%{name}-config.py

%build
%py3_build

%install
%py3_install

# avoid rpmlint invalid-lc-messages-dir and incorrect-locale-subdir errors
rm -rf %{buildroot}%{_datadir}/locale/ber
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/nah/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/

%find_lang %{name}

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{python3_sitelib}/mate_menu/
%{python3_sitelib}/*.egg-info/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.mate.mate-menu*.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man1/mate-menu.1.*


%changelog
* Thu Aug 04 2022 tex - 19.04.0-5pclos2022
- rebuild against updates

* Wed Aug 03 2022 tex - 19.04.0-4pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 19.04.0-3pclos2021
- fix tooltip

* Sat Feb 15 2020 tex - 19.04.0-2pclos2020
- rebuild against 1.24.0

* Fri Jan 24 2020 tex - 19.04.0-1pclos2020
- import from france with mods for pclos
